require 'uu/os/util/container_service'
require 'uu/os/util/application_container_service'

module UU
  module OS
    module Util

      # Service providing system information of running module.
      # @private
      class VucContainerService < UU::OS::Util::ApplicationContainerService # :nodoc:

        # @private
        def self.on_server_startup(ctx)
          UU::OS::Util::ContainerService.register_service(self.new, :on_health)
        end

        def get_container_code(ctx)
          'VUC'
        end

      end

    end
  end
end
