module UU
  module OS
    module VUC

      # List of common error codes used by visual use case.
      class ErrorCodes

        # Processing of request failed due to unexpected problem
        # which was not handled by command.
        UNEXPECTED_PROBLEM = 'UU.OS.VUC/E000-UNEXPECTED_PROBLEM'

        # Duplicit component code wa detecte.
        COMPONENT_CODE_DUPLICITY = 'UU.OS.VUC/E001-COMPONENT_CODE_DUPLICITY'

      end

    end
  end
end
