require 'uu/os/application/use_case_context_middleware'
require 'uu/os/vuc/visual_use_case_context'

module UU
  module OS
    module VUC
      class VisualUseCaseContextMiddleware < UU::OS::Application::UseCaseContextMiddleware

        # @private
        def initialize(app)
          super(app)
        end

        # @private
        def get_context(request)
          data = prepare_data(request)
          return UU::OS::VUC::VisualUseCaseContext.new(data)
        end

      end
    end
  end
end
